/*_________________________________________________________________________
                              U S I N G   S W I T C H    S T A T E M E N T S

                                       Created 10/3/2011 for C# 2010
                                                     Ron Kessler
___________________________________________________________________________


Updated 1/13/2016
This program demonstrates how to use the switch structure. They choose a State & we
compute the sales tax rate.

Notice the options I show you for declaring data types for the tax rate. Just remember the
compiler defaults to a double data type so you have to use "m" or "M" if you want decimal.

  

*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Using_Switch
{
    public partial class frmMain : Form
    {

        const string MSGTITLE = "Working with Mr. Switch";      //1/14/2016

        public frmMain()
        {
            InitializeComponent();
        }

//______________________________________________________________________________________________________
        private void btnOK_Click(object sender, EventArgs e)
        {
            //---now decide the sales tax rate based upon the state they chose

            decimal salesTaxRate = 0m;

            //you could say decimal salesTaxRate = 0
            //But then you must say salesTaxRate = .08m   when you use it. Think of m as money.
                       
            
            string stateChosen = txtState.Text.ToUpper();  //control for caps/lower case

            switch (stateChosen)
            {
                case "CA":
                    salesTaxRate = .08m;
                    break;
                
                case "AZ":
                case "NV":
                    salesTaxRate = .01m;
                    break;

                case "OR":
                    salesTaxRate = .06m;
                    break;

                default:
                    MessageBox.Show(
                        "Please enter CA, AZ, OR, NV", MSGTITLE,
                        MessageBoxButtons.OK,
                        MessageBoxIcon.Information);
                    break;
                  
            }

            if (salesTaxRate > 0)        //did they enter a valid state?
            {
                MessageBox.Show("Your Tax Rate for " + stateChosen + " is " + salesTaxRate, MSGTITLE);
            }

            txtState.Clear();      //start over
            txtState.Focus();
                  
        }       

//____________________________________________________________________________________
        private void btnQuit_Click(object sender, EventArgs e)
        {
           if (MessageBox.Show("Are you sure?", MSGTITLE, MessageBoxButtons.YesNo,
               MessageBoxIcon.Question) == DialogResult.Yes)

                this.Close();
        }

    }
}